Bug 1279559 - kde lockscreen losing focus
kde lockscreen losing focus
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kde-workspace (Show other bugs)
7.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Grulich
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 12:54 EST by Michael Petlan
Modified: 2017-05-09 08:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-09 08:43:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Petlan 2015-11-09 12:54:41 EST
Description of problem:

This bug occurs in RHEL 7.1 KDE:
https://bugs.kde.org/show_bug.cgi?id=316084

Version-Release number of selected component (if applicable):
kde-workspace-4.10.5-21.el7.x86_64

How reproducible:
sometimes; with 2 screens

Steps to Reproduce:
1. lock the screen either by Ctrl-Alt-L or by
qdbus org.freedesktop.ScreenSaver /ScreenSaver Lock
2. 
3.

Actual results:

Sometimes when locking the screen, the unlock login dialog loses the focus in the password input line. You have to click into it in order to be able to type the password and log in.

Expected results:

The password input line cannot lose focus.

Additional info:

This is a bit annoying issue, when you have a mouse, you can always click into it. But in case you don't have a mouse at the moment, there's no way how to unlock the screen using the keyboard only.
Comment 2 Jan Grulich 2015-11-10 02:05:48 EST
Should be fixed in updated kde-workspace in RHEL 7.2, could you please confirm that?
Comment 3 Michael Petlan 2015-11-10 06:31:13 EST
If it was possible, it would be great.
Comment 4 Jan Grulich 2017-05-09 08:43:16 EDT
Should be already fixed in RHEL 7.2.

Note You need to log in before you can comment on or make changes to this bug.